Page MenuHomePhabricator

?markasread=NNN not added to primary links in emails
Closed, ResolvedPublic

Description

When I get email notifications, the primary link does not have ?markasread={notifid} added to it, and so following the link does not mark the notification as read (unless echo_target_page causes that to happen).

Event Timeline

Catrope created this task.Jun 9 2016, 8:35 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 9 2016, 8:35 PM

Change 293632 had a related patch set uploaded (by Catrope):
Add ?markasread=NNN to primary links in emails too

https://gerrit.wikimedia.org/r/293632

Change 293632 merged by jenkins-bot:
Add ?markasread=NNN to primary links in emails too

https://gerrit.wikimedia.org/r/293632

Checked in betalabs.

  1. "View [page, post, comment, topic}" link in emails includes markasread

e.g. "http://en.wikipedia.beta.wmflabs.org/w/index.php?title=Talk:ET2&workflow=t4ij166z4xwomihk&markasread=307093#flow-post-t5i6e30xak6jigig"

  1. Clicking on the link in emails redirects to a specific page/topic/post and marks the notification as read - in both, the flyout panel and Special:Notifications page.

@SBisson - the url is from an email. Something is not right?

The & between query parameters are encoded as &.

Did you get it from the source of an HTML email or as is in the body of a text email?

Etonkovidova added a comment.EditedJun 14 2016, 8:37 PM

@SBisson - it's HTML source, not email text.

Ok, thanks. It looks weird but it seems to be working fine.

jmatazzoni closed this task as Resolved.Jun 15 2016, 4:41 PM
jmatazzoni claimed this task.